Subject: bug#37667: 27.0.50; Tab Bar display problems with more than 5 tabs

From: martin rudalics <[email-masked]>
Date: Wed, 16 Oct 2019 20:14:45 +0200

> word-wrap wraps at word boundary that sometimes might be inside the tab name
 > when tab name contains spaces (tested frame-tabs.el on customization buffers
 > whose names contain a lot of spaces).

Right.  It probably should use U-00A0 instead.

 >>> 2. Disable wrapping to the second line since it's not supported in -nw;
 >>
 >> -nw should support it.
 >
 > Sorry, I don't understand the meaning of "should".
 > Does this mean -nw already supports it but its support is not used?

No.  I meant it should be implemented on -nw, eventually.

 >>> 3. Then truncate tab names to fit all tabs into the first line;
 >>
 >> Rather not.
 >
 > But all web browsers truncate tab names.

Firefox here does some strange shading before truncating.  I'm not
fond of it but my version here doesn't support tab mix plus any more.

 > I tried a variable-pitch font for tab bars, and it looks good
 > and makes tab widths smaller, so more tabs fits into the tab-bar.

Variable sized tabs can be a pain.  When you want to kill a row of
tabs by clicking on the "x" you have to move the mouse in between.

martin